package com.house365.ws.interfaces.rest;

import com.house365.rest.context.IService;
import com.house365.rest.context.Parameter;
import com.house365.rest.exception.ServiceRunException;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Date: 2017/2/4</p>
 *
 * @author XN
 * @version 1.0
 */
public interface IProjectWechat extends IService {
    Object getMyProjects(Parameter parameter) throws ServiceRunException;

    Object getProjectDetail(Parameter parameter) throws ServiceRunException;

    Object getProjectDynamicList(Parameter parameter) throws ServiceRunException;

    Object getProjectCustomers(Parameter parameter) throws ServiceRunException;

    Object getCustomers(Parameter parameter) throws ServiceRunException;

    Object getCustomerProject(Parameter parameter) throws ServiceRunException;

    Object getCustomerDetail(Parameter parameter) throws ServiceRunException;

    Object getCustomerStatusChangeLogs(Parameter parameter) throws ServiceRunException;

    Object reportCustomer(Parameter parameter) throws ServiceRunException;

    Object modifyRemark(Parameter parameter) throws ServiceRunException;

    Object getVisitCallList(Parameter parameter) throws ServiceRunException;

    Object getVisitCallLog(Parameter parameter) throws ServiceRunException;

    Object addVisitCallContent(Parameter parameter) throws ServiceRunException;

    Object savedynamic(Parameter parameter) throws ServiceRunException;

    Object deldynamic(Parameter parameter) throws ServiceRunException;

    Object waitAddVisitCallContent(Parameter parameter) throws ServiceRunException;

    Object addCustomerStatusLog(Parameter parameter) throws ServiceRunException;

    Object modifyCustomerProject(Parameter parameter) throws ServiceRunException;

    Object changeRecordedStatus(Parameter parameter) throws ServiceRunException;

    Object getCRMUrl(Parameter parameter) throws ServiceRunException;

    Object createCustomerEvaluate(Parameter parameter) throws ServiceRunException;

    Object customerReport(Parameter parameter) throws ServiceRunException;
}
